[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'ActnList' (#lcl)

# TCustomAction.SetChecked

Sets the value for the Checked property.

## Declaration

Source position: actnlist.pas line 180

`protected procedure TCustomAction.SetChecked(`
`Value: Boolean`
`); virtual;`

## Arguments

`Value` |  | New value for the Checked property.

## Version info

Modified in LCL version 4.0 to improve compatibility with newer Delphi VCL versions; redefined as virtual and changed to protected visibility.

## See also

TCustomAction.Checked |  | Whether the check box control associated with the action is Checked (default False).
TCustomAction.Grayed |  | True if the action (and it client control) are in the grayed or indeterminate state.
TCustomAction.GroupIndex |  | GroupIndex- Index of the action within its group.
TContainedAction.ActionList |  | The ActionList where the action is stored, and its parent component.
TActionLink |  | A link between an action and a client class.